#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Test
%define		pnam	Harness
Summary:	Test::Harness - run Perl standard test scripts with statistics
Summary(pl.UTF-8):	Test::Harness - uruchamianie perlowych skryptów testowych ze statystykami
Name:		perl-Test-Harness
# NOTE: version 3.17 in perl-modules-5.12.3
Version:	3.25
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	69a8a019eeb952fe97e3ac0767c726da
URL:		http://search.cpan.org/dist/Test-Harness/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Provides:	perl-TAP-Parser = %{version}
Obsoletes:	perl-TAP-Parser < 1.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Test::Harness - module that runs perl standard test scripts with
statistics.

%description -l pl.UTF-8
Test::Harness - moduł uruchamiający standardowe perlowe skrypty
testowe ze statystykami.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_bindir}/prove{,.pl}

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/TAP/Harness/Beyond.pod
# for TAP::Harness developers
%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/Test/HACKING.pod \
	$RPM_BUILD_ROOT%{_mandir}/man3/Test::HACKING.3pm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes*
%attr(755,root,root) %{_bindir}/prove.pl
%{perl_vendorlib}/App/Prove.pm
%{perl_vendorlib}/App/Prove/*.pm
%{perl_vendorlib}/App/Prove/State/*.pm
%{perl_vendorlib}/App/Prove/State/Result/*.pm
%{perl_vendorlib}/TAP/Base.pm
%{perl_vendorlib}/TAP/Formatter/*.pm
%{perl_vendorlib}/TAP/Formatter/Console/*.pm
%{perl_vendorlib}/TAP/Formatter/File/*.pm
%dir %{perl_vendorlib}/TAP/Harness
%{perl_vendorlib}/TAP/Harness.pm
%{perl_vendorlib}/TAP/Object.pm
%{perl_vendorlib}/TAP/Parser.pm
%{perl_vendorlib}/TAP/Parser/*.pm
%{perl_vendorlib}/TAP/Parser/Iterator/*.pm
%{perl_vendorlib}/TAP/Parser/Result/*.pm
%{perl_vendorlib}/TAP/Parser/Scheduler/*.pm
%dir %{perl_vendorlib}/TAP/Parser/SourceHandler
%{perl_vendorlib}/TAP/Parser/SourceHandler/*.pm
%{perl_vendorlib}/TAP/Parser/YAMLish/*.pm
%{perl_vendorlib}/Test/Harness.pm
%{_mandir}/man1/prove.1p*
%{_mandir}/man3/App::Prove.3pm*
%{_mandir}/man3/App::Prove::State.3pm*
%{_mandir}/man3/App::Prove::State::Result.3pm*
%{_mandir}/man3/App::Prove::State::Result::Test.3pm*
%{_mandir}/man3/TAP::Base.3pm*
%{_mandir}/man3/TAP::Formatter::Base.3pm*
%{_mandir}/man3/TAP::Formatter::Color.3pm*
%{_mandir}/man3/TAP::Formatter::Console.3pm*
%{_mandir}/man3/TAP::Formatter::Console::ParallelSession.3pm*
%{_mandir}/man3/TAP::Formatter::Console::Session.3pm*
%{_mandir}/man3/TAP::Formatter::File.3pm*
%{_mandir}/man3/TAP::Formatter::File::Session.3pm*
%{_mandir}/man3/TAP::Formatter::Session.3pm*
%{_mandir}/man3/TAP::Harness.3pm*
%{_mandir}/man3/TAP::Harness::Beyond.3pm*
%{_mandir}/man3/TAP::Object.3pm*
%{_mandir}/man3/TAP::Parser.3pm*
%{_mandir}/man3/TAP::Parser::Aggregator.3pm*
%{_mandir}/man3/TAP::Parser::Grammar.3pm*
%{_mandir}/man3/TAP::Parser::Iterator.3pm*
%{_mandir}/man3/TAP::Parser::Iterator::Array.3pm*
%{_mandir}/man3/TAP::Parser::Iterator::Process.3pm*
%{_mandir}/man3/TAP::Parser::Iterator::Stream.3pm*
%{_mandir}/man3/TAP::Parser::IteratorFactory.3pm*
%{_mandir}/man3/TAP::Parser::Multiplexer.3pm*
%{_mandir}/man3/TAP::Parser::Result.3pm*
%{_mandir}/man3/TAP::Parser::Result::Bailout.3pm*
%{_mandir}/man3/TAP::Parser::Result::Comment.3pm*
%{_mandir}/man3/TAP::Parser::Result::Plan.3pm*
%{_mandir}/man3/TAP::Parser::Result::Pragma.3pm*
%{_mandir}/man3/TAP::Parser::Result::Test.3pm*
%{_mandir}/man3/TAP::Parser::Result::Unknown.3pm*
%{_mandir}/man3/TAP::Parser::Result::Version.3pm*
%{_mandir}/man3/TAP::Parser::Result::YAML.3pm*
%{_mandir}/man3/TAP::Parser::ResultFactory.3pm*
%{_mandir}/man3/TAP::Parser::Scheduler.3pm*
%{_mandir}/man3/TAP::Parser::Scheduler::Job.3pm*
%{_mandir}/man3/TAP::Parser::Scheduler::Spinner.3pm*
%{_mandir}/man3/TAP::Parser::Source.3pm*
%{_mandir}/man3/TAP::Parser::SourceHandler.3pm*
%{_mandir}/man3/TAP::Parser::SourceHandler::Executable.3pm*
%{_mandir}/man3/TAP::Parser::SourceHandler::File.3pm*
%{_mandir}/man3/TAP::Parser::SourceHandler::Handle.3pm*
%{_mandir}/man3/TAP::Parser::SourceHandler::Perl.3pm*
%{_mandir}/man3/TAP::Parser::SourceHandler::RawTAP.3pm*
%{_mandir}/man3/TAP::Parser::Utils.3pm*
%{_mandir}/man3/TAP::Parser::YAMLish::Reader.3pm*
%{_mandir}/man3/TAP::Parser::YAMLish::Writer.3pm*
%{_mandir}/man3/Test::Harness.3pm*
%changelog
* Tue Jul 17 2012 Jan Rękorajski <baggins@pld-linux.org> 5ac54b7
Package perl_vendorlib/TAP/Harness directory
Release 2

* Sat Jun 30 2012 Jakub Bogusz <qboosh@pld-linux.org> 5a36dfc
- updated to 3.25
- added P/O: perl-TAP-Parser (distributed separately up to 0.54)

* Sun Mar 06 2011 Jakub Bogusz <qboosh@pld-linux.org> 1c3ed7d
- updated to 3.23

* Tue Nov 23 2010 lisu <lisu@pld-linux.org> 46b811c
- new Source0 URL

* Tue Nov 23 2010 lisu <lisu@pld-linux.org> 2cb6d06
- up to 3.22
- more files

* Fri Jul 03 2009 hawk <hawk@pld-linux.org> 2835ec4
- release 2

* Fri Jul 03 2009 hawk <hawk@pld-linux.org> d0b35fb
- proper update to 3.17, verbose %files, yet another correction after
  amateja commit (amateja, please, PLEASE do ask if you are not sure how
  to do something, replying to mails would also be nice)

* Tue Jun 16 2009 amateja <amateja@pld-linux.org> 05553f4
- updated to 3.17

* Fri Jul 18 2008 Adam Gołębiowski <adamg@pld-linux.org> a479300
- updated to 3.12

* Sat Feb 23 2008 radek <radek@pld-linux.org> 328c186
- release 2: rename prove to prove.pl (let's consider it a policy for this kind of conflicts in perl-*, hm?)

* Sat Feb 16 2008 Jakub Bogusz <qboosh@pld-linux.org> 5e143b5
- generic URL

* Sat Feb 16 2008 radek <radek@pld-linux.org> b257b29
- version 3.09, tests on

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9a5a0d1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 36c32e9
- converted to UTF-8

* Sat Oct 21 2006 ankry <ankry@pld-linux.org> 754168e
- ver. 2.64

* Thu May 25 2006 blaass <blaass@pld-linux.org> 2bc41f0
- up to 2.60 (fixed summary header error)

* Mon Dec 26 2005 blaass <blaass@pld-linux.org> 64e0332
- up to 2.56

* Sat Jul 23 2005 radek <radek@pld-linux.org> 6a701ff
- version 2.52

* Tue Jun 14 2005 petec <petec@pld-linux.org> 97d8888
- up to 2.48

* Thu May 05 2005 ankry <ankry@pld-linux.org> c6474f3
- updated to 2.46

